import { StreamID, StreamPartID, UserID } from '@streamr/utils';
import { MessageRef } from './MessageRef';
export declare class MessageID {
    readonly streamId: StreamID;
    readonly streamPartition: number;
    readonly timestamp: number;
    readonly sequenceNumber: number;
    readonly publisherId: UserID;
    readonly msgChainId: string;
    constructor(streamId: StreamID, streamPartition: number, timestamp: number, sequenceNumber: number, publisherId: UserID, msgChainId: string);
    getStreamPartID(): StreamPartID;
    toMessageRef(): MessageRef;
}
